<?php
namespace boru\boruai\Openai\Api\Endpoints;

use boru\boruai\Openai\OpenAI;

class FineTunesAPI {
    public static function create($parameters=[]) {
        return OpenAI::request("post","fine-tunes",$parameters);
    }

    public static function retrieve($id) {
        return OpenAI::request("get","fine-tunes/$id");
    }

    public static function list($parameters=[]) {
        return OpenAI::request("get","fine-tunes",$parameters);
    }

    public static function delete($id) {
        return OpenAI::request("delete","fine-tunes/$id");
    }

    public static function cancel($id) {
        return OpenAI::request("post","fine-tunes/$id/cancel");
    }
}